[arch-commits] Commit in ghostscript/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Aug 2 18:13:37 EDT 2008


    Date: Saturday, August 2, 2008 @ 18:13:37
  Author: andyrtr
Revision: 7559

upgpkg: ghostscript 8.63-1

Modified:
  ghostscript/trunk/PKGBUILD

----------+
 PKGBUILD |   28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-02 22:11:50 UTC (rev 7558)
+++ PKGBUILD	2008-08-02 22:13:37 UTC (rev 7559)
@@ -1,8 +1,9 @@
 # $Id$
 # Maintainer: AndyRTR <andyrtr at archlinux.org>
+
 pkgname=ghostscript
-pkgver=8.62
-pkgrel=2
+pkgver=8.63
+pkgrel=1
 pkgdesc="An interpreter for the PostScript language"
 arch=(i686 x86_64)
 license=('GPL' 'custom')
@@ -13,28 +14,31 @@
 url="http://www.cs.wisc.edu/~ghost/"
 #url="http://www.cups.org/espgs/"
 install=ghostscript.install
-source=(ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/GPL/gs862/ghostscript-${pkgver}.tar.bz2)
-md5sums=('40d673a3c6e11d2bf14f972b84551104')
+source=(ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/GPL/gs863/ghostscript-${pkgver}.tar.bz2)
 options=('!libtool' '!makeflags')
+md5sums=('c770eedfdd846a53e211e3ba5339de21')
 
 build() {
-  cd ${startdir}/src/ghostscript-${pkgver}
+  cd ${srcdir}/ghostscript-${pkgver}
   [ "${CARCH}" = "x86_64" ] && export CFLAGS="${CFLAGS} -fPIC"
   # Build IJS
-  cd ${startdir}/src/ghostscript-${pkgver}/ijs
+  cd ${srcdir}/ghostscript-${pkgver}/ijs
   ./autogen.sh
   ./configure --prefix=/usr --enable-shared --disable-static
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=${pkgdir}/g install || return 1
   cd ..
   ./configure --prefix=/usr --enable-dynamic --enable-threads --with-ijs \
               --with-jbig2dec --with-omni --with-x --with-drivers=ALL\
 	      --with-fontpath=/usr/share/fonts/Type1:/usr/share/fonts
   make || return 1
-  make DESTDIR=${startdir}/pkg \
-	cups_serverroot=${startdir}/pkg/etc/cups \
-	cups_serverbin=${startdir}/pkg/usr/lib/cups install soinstall
+  make DESTDIR=${pkgdir} \
+	cups_serverroot=${pkgdir}/etc/cups \
+	cups_serverbin=${pkgdir}/usr/lib/cups install soinstall
 
-  mkdir -p ${startdir}/pkg/usr/share/licenses/${pkgname}
-  install -m644 LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/
+  mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/
+
+  # remove unwanted localized man-pages
+  rm -rf $pkgdir/usr/share/man/[^man1]*
 }




More information about the arch-commits mailing list